Subject: [Fot] help engine rebuild, triumph gt6

From: star3z3--- via Fot <[email-masked]>
Date: Thu, 2 Apr 2015 18:38:07 -0600

Hi my names Ashley,  I now have my dads triumph gt6.  My dad, Clive Averill raced with RMVR and other vintage clubs for over 30 years.  He taught me how to race in gt6 several years ago.  He knew the gt6 inside and out.  He has since passed away and the engine went in August at HPR.   I sadly never learned all my dads knowledge and skills.  I’m out of time to rebuild this year due to work.  So I’m  looking for any recommendations on people or shops that can rebuild a triumph gt6 race engine to the spec my dad last built the car.  I live in Colorado.  The engine has been rebuilt since my dad passed with a smaller cam and that did not turn out to well the engine did not last long.  I would really appreciate any advice or recommendation.  I really love the gt6 and racing!  Hope to get it back on track as soon as possible.

Thanks,
Ashley Averill Triumph gt6 #33 
  
_______________________________________________
[email-masked]

http://www.fot-racing.com

Donate: http://www.team.net/donate.html
Archive: http://www.team.net/archive
Forums: http://www.team.net/forums
Unsubscribe/Manage: http://autox.team.net/mailman/options/fot/[email-masked]